Download it now!
Bug 48086 - UI: Menu 'Insert Animated Image' Animation dialog has no Help button
Summary: UI: Menu 'Insert Animated Image' Animation dialog has no Help button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Joel Madero
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-30 03:10 UTC by sasha.libreoffice
Modified: 2013-01-25 06:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-03-30 03:10:32 UTC
Step to reproduce:
in Impress do Insert->Animated image
Expected: dialog has button "Help"
Actually: no such button

Help contains topic "Animation" about this dialog. So, problem is in absence of button "Help"

PS: though help exist, not so easy to understand how to create GIF animation using this dialog. May be it is makes sense to add step by step instruction how to create animation? Like this:
1. Select "Bitmap object" option
2. Select object in presentation for first frame
3. Press button below word "Image"
4. Select object in presentation for next frame
5. set time delay for this frame
6. Press button below word "Image"
7. Repeat steps 4,5,6 for all needed frames
8. Press button "Create"
Comment 1 Rainer Bielefeld Retired 2012-08-30 16:50:22 UTC
Inherited from OOo, we never had a Help button there.

@Joel:
Interested?
Comment 2 Joel Madero 2012-08-30 16:56:12 UTC
Sure I'll take it. Working on another one right now but I'll get this one done at some point.
Comment 3 Joel Madero 2013-01-24 19:06:23 UTC
submitting patch now, should be reviewed before 4.0 is released. Thanks Sasha for finding this one
Comment 4 Not Assigned 2013-01-25 00:36:41 UTC
Joel Madero committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d743ce2d1f548fafd34e31ada411df7f7e2fea1

fdo#48086 - add help for impress (insert -> animated image)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 sasha.libreoffice 2013-01-25 06:30:34 UTC
Thanks for fixing this bug